// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/tariff.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type AccountTariff struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      string             `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Meta    *AccountTariffMeta `protobuf:"bytes,2,opt,name=meta,proto3" json:"meta,omitempty"`          // матаданные тарифа
	Deleted bool               `protobuf:"varint,999,opt,name=deleted,proto3" json:"deleted,omitempty"` // признак удаления
}

func (x *AccountTariff) Reset() {
	*x = AccountTariff{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_tariff_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccountTariff) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccountTariff) ProtoMessage() {}

func (x *AccountTariff) ProtoReflect() protoreflect.Message {
	mi := &file_admin_tariff_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccountTariff.ProtoReflect.Descriptor instead.
func (*AccountTariff) Descriptor() ([]byte, []int) {
	return file_admin_tariff_proto_rawDescGZIP(), []int{0}
}

func (x *AccountTariff) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *AccountTariff) GetMeta() *AccountTariffMeta {
	if x != nil {
		return x.Meta
	}
	return nil
}

func (x *AccountTariff) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

type AccountTariffMeta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name               string  `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Billeach           int32   `protobuf:"varint,2,opt,name=billeach,proto3" json:"billeach,omitempty"`                                                  // порог округления в секундах (1 посекундно, 60 - поминутно)
	Description        string  `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`                                             // подробное описание
	ActiveFrom         int64   `protobuf:"varint,4,opt,name=activeFrom,proto3" json:"activeFrom,omitempty"`                                              // время с которого тариф доступен для выбора
	ActiveUntil        int64   `protobuf:"varint,5,opt,name=activeUntil,proto3" json:"activeUntil,omitempty"`                                            // время до которого тариф доступен для выбора
	Prio               int32   `protobuf:"varint,6,opt,name=prio,proto3" json:"prio,omitempty"`                                                          // приоритет тарифа. Предпочтение будет отдано таруфу с меньшим положительным значением (0 тариф отключен)
	Level              int32   `protobuf:"varint,7,opt,name=level,proto3" json:"level,omitempty"`                                                        // уровень тарифа (0- демо, 1- обычный, 2- вип и т.д)
	Concurrency        int32   `protobuf:"varint,8,opt,name=concurrency,proto3" json:"concurrency,omitempty"`                                            // максимальное количество одновременно задействованных линий (0 - без ограничений)
	Commission         float64 `protobuf:"fixed64,9,opt,name=commission,proto3" json:"commission,omitempty"`                                             // процент наценки
	WelcomeBalance     float64 `protobuf:"fixed64,10,opt,name=welcome_balance,json=welcomeBalance,proto3" json:"welcome_balance,omitempty"`              // Стартовый баланс нового аккаунта
	MaxRate            float64 `protobuf:"fixed64,11,opt,name=maxRate,proto3" json:"maxRate,omitempty"`                                                  // максимально разрешеный рейт звонка (стоимость вызова за минуту, 0 если без ограничений)
	GroupIn            string  `protobuf:"bytes,12,opt,name=group_in,json=groupIn,proto3" json:"group_in,omitempty"`                                     // группа шлюзов при входящих вызовах (например на дид), если не задан то любые
	GroupOut           string  `protobuf:"bytes,13,opt,name=group_out,json=groupOut,proto3" json:"group_out,omitempty"`                                  // группа шлюзов при исходящих вызовов
	FreeDidTermination bool    `protobuf:"varint,14,opt,name=free_did_termination,json=freeDidTermination,proto3" json:"free_did_termination,omitempty"` // отключение любой тарификации при входящей did терминации
}

func (x *AccountTariffMeta) Reset() {
	*x = AccountTariffMeta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_tariff_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccountTariffMeta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccountTariffMeta) ProtoMessage() {}

func (x *AccountTariffMeta) ProtoReflect() protoreflect.Message {
	mi := &file_admin_tariff_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccountTariffMeta.ProtoReflect.Descriptor instead.
func (*AccountTariffMeta) Descriptor() ([]byte, []int) {
	return file_admin_tariff_proto_rawDescGZIP(), []int{1}
}

func (x *AccountTariffMeta) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *AccountTariffMeta) GetBilleach() int32 {
	if x != nil {
		return x.Billeach
	}
	return 0
}

func (x *AccountTariffMeta) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *AccountTariffMeta) GetActiveFrom() int64 {
	if x != nil {
		return x.ActiveFrom
	}
	return 0
}

func (x *AccountTariffMeta) GetActiveUntil() int64 {
	if x != nil {
		return x.ActiveUntil
	}
	return 0
}

func (x *AccountTariffMeta) GetPrio() int32 {
	if x != nil {
		return x.Prio
	}
	return 0
}

func (x *AccountTariffMeta) GetLevel() int32 {
	if x != nil {
		return x.Level
	}
	return 0
}

func (x *AccountTariffMeta) GetConcurrency() int32 {
	if x != nil {
		return x.Concurrency
	}
	return 0
}

func (x *AccountTariffMeta) GetCommission() float64 {
	if x != nil {
		return x.Commission
	}
	return 0
}

func (x *AccountTariffMeta) GetWelcomeBalance() float64 {
	if x != nil {
		return x.WelcomeBalance
	}
	return 0
}

func (x *AccountTariffMeta) GetMaxRate() float64 {
	if x != nil {
		return x.MaxRate
	}
	return 0
}

func (x *AccountTariffMeta) GetGroupIn() string {
	if x != nil {
		return x.GroupIn
	}
	return ""
}

func (x *AccountTariffMeta) GetGroupOut() string {
	if x != nil {
		return x.GroupOut
	}
	return ""
}

func (x *AccountTariffMeta) GetFreeDidTermination() bool {
	if x != nil {
		return x.FreeDidTermination
	}
	return false
}

type PrefixTariff struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Tariffid string            `protobuf:"bytes,1,opt,name=tariffid,proto3" json:"tariffid,omitempty"` // родительский id тарифа
	Prefix   string            `protobuf:"bytes,2,opt,name=prefix,proto3" json:"prefix,omitempty"`     // префикс набора
	Meta     *PrefixTariffMeta `protobuf:"bytes,4,opt,name=meta,proto3" json:"meta,omitempty"`         // матаданные префикса для тарифа
}

func (x *PrefixTariff) Reset() {
	*x = PrefixTariff{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_tariff_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixTariff) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixTariff) ProtoMessage() {}

func (x *PrefixTariff) ProtoReflect() protoreflect.Message {
	mi := &file_admin_tariff_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixTariff.ProtoReflect.Descriptor instead.
func (*PrefixTariff) Descriptor() ([]byte, []int) {
	return file_admin_tariff_proto_rawDescGZIP(), []int{2}
}

func (x *PrefixTariff) GetTariffid() string {
	if x != nil {
		return x.Tariffid
	}
	return ""
}

func (x *PrefixTariff) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *PrefixTariff) GetMeta() *PrefixTariffMeta {
	if x != nil {
		return x.Meta
	}
	return nil
}

type PrefixTariffMeta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Minute    float64 `protobuf:"fixed64,1,opt,name=minute,proto3" json:"minute,omitempty"`                        // стоимость одной минуты исходящего вызова
	DidMinute float64 `protobuf:"fixed64,2,opt,name=did_minute,json=didMinute,proto3" json:"did_minute,omitempty"` // стоимость одной минуты входящего вызова
	Comment   string  `protobuf:"bytes,4,opt,name=comment,proto3" json:"comment,omitempty"`                        // комментарий
	//    string country = 5; // iso2 код страны
	Updated           int64   `protobuf:"varint,6,opt,name=updated,proto3" json:"updated,omitempty"`                                              // время последнего обновления
	Commission        float64 `protobuf:"fixed64,7,opt,name=commission,proto3" json:"commission,omitempty"`                                       // процент наценки
	OverrideComission bool    `protobuf:"varint,8,opt,name=override_comission,json=overrideComission,proto3" json:"override_comission,omitempty"` // использовать комиссию из префикса
}

func (x *PrefixTariffMeta) Reset() {
	*x = PrefixTariffMeta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_tariff_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrefixTariffMeta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrefixTariffMeta) ProtoMessage() {}

func (x *PrefixTariffMeta) ProtoReflect() protoreflect.Message {
	mi := &file_admin_tariff_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrefixTariffMeta.ProtoReflect.Descriptor instead.
func (*PrefixTariffMeta) Descriptor() ([]byte, []int) {
	return file_admin_tariff_proto_rawDescGZIP(), []int{3}
}

func (x *PrefixTariffMeta) GetMinute() float64 {
	if x != nil {
		return x.Minute
	}
	return 0
}

func (x *PrefixTariffMeta) GetDidMinute() float64 {
	if x != nil {
		return x.DidMinute
	}
	return 0
}

func (x *PrefixTariffMeta) GetComment() string {
	if x != nil {
		return x.Comment
	}
	return ""
}

func (x *PrefixTariffMeta) GetUpdated() int64 {
	if x != nil {
		return x.Updated
	}
	return 0
}

func (x *PrefixTariffMeta) GetCommission() float64 {
	if x != nil {
		return x.Commission
	}
	return 0
}

func (x *PrefixTariffMeta) GetOverrideComission() bool {
	if x != nil {
		return x.OverrideComission
	}
	return false
}

type LimitTariff struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Tariffid string              `protobuf:"bytes,1,opt,name=tariffid,proto3" json:"tariffid,omitempty"` // родительский id тарифа
	LimitId  string              `protobuf:"bytes,2,opt,name=limitId,proto3" json:"limitId,omitempty"`   // id лимита
	Meta     *api.MetricRuleMeta `protobuf:"bytes,4,opt,name=meta,proto3" json:"meta,omitempty"`         // матаданные префикса для тарифа
}

func (x *LimitTariff) Reset() {
	*x = LimitTariff{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_tariff_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LimitTariff) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LimitTariff) ProtoMessage() {}

func (x *LimitTariff) ProtoReflect() protoreflect.Message {
	mi := &file_admin_tariff_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LimitTariff.ProtoReflect.Descriptor instead.
func (*LimitTariff) Descriptor() ([]byte, []int) {
	return file_admin_tariff_proto_rawDescGZIP(), []int{4}
}

func (x *LimitTariff) GetTariffid() string {
	if x != nil {
		return x.Tariffid
	}
	return ""
}

func (x *LimitTariff) GetLimitId() string {
	if x != nil {
		return x.LimitId
	}
	return ""
}

func (x *LimitTariff) GetMeta() *api.MetricRuleMeta {
	if x != nil {
		return x.Meta
	}
	return nil
}

var File_admin_tariff_proto protoreflect.FileDescriptor

var file_admin_tariff_proto_rawDesc = []byte{
	0x0a, 0x12, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x77, 0x0a, 0x0d, 0x41, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3b, 0x0a, 0x04, 0x6d, 0x65, 0x74,
	0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41,
	0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4d, 0x65, 0x74, 0x61,
	0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x19, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x64, 0x18, 0xe7, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x64, 0x22, 0xc0, 0x03, 0x0a, 0x11, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72,
	0x69, 0x66, 0x66, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x62,
	0x69, 0x6c, 0x6c, 0x65, 0x61, 0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x62,
	0x69, 0x6c, 0x6c, 0x65, 0x61, 0x63, 0x68, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x61, 0x63, 0x74,
	0x69, 0x76, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x61,
	0x63, 0x74, 0x69, 0x76, 0x65, 0x46, 0x72, 0x6f, 0x6d, 0x12, 0x20, 0x0a, 0x0b, 0x61, 0x63, 0x74,
	0x69, 0x76, 0x65, 0x55, 0x6e, 0x74, 0x69, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b,
	0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x55, 0x6e, 0x74, 0x69, 0x6c, 0x12, 0x12, 0x0a, 0x04, 0x70,
	0x72, 0x69, 0x6f, 0x18, 0x06, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x70, 0x72, 0x69, 0x6f, 0x12,
	0x14, 0x0a, 0x05, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x18, 0x07, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05,
	0x6c, 0x65, 0x76, 0x65, 0x6c, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x63, 0x75, 0x72, 0x72,
	0x65, 0x6e, 0x63, 0x79, 0x18, 0x08, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x63,
	0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f, 0x6d, 0x6d, 0x69,
	0x73, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x09, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0a, 0x63, 0x6f, 0x6d,
	0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f, 0x77, 0x65, 0x6c, 0x63, 0x6f,
	0x6d, 0x65, 0x5f, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x01,
	0x52, 0x0e, 0x77, 0x65, 0x6c, 0x63, 0x6f, 0x6d, 0x65, 0x42, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x6d, 0x61, 0x78, 0x52, 0x61, 0x74, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x07, 0x6d, 0x61, 0x78, 0x52, 0x61, 0x74, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x5f, 0x69, 0x6e, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x49, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x6f,
	0x75, 0x74, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x4f,
	0x75, 0x74, 0x12, 0x30, 0x0a, 0x14, 0x66, 0x72, 0x65, 0x65, 0x5f, 0x64, 0x69, 0x64, 0x5f, 0x74,
	0x65, 0x72, 0x6d, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x12, 0x66, 0x72, 0x65, 0x65, 0x44, 0x69, 0x64, 0x54, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x22, 0x7e, 0x0a, 0x0c, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x54, 0x61,
	0x72, 0x69, 0x66, 0x66, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x69, 0x64,
	0x12, 0x16, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x3a, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x50, 0x72,
	0x65, 0x66, 0x69, 0x78, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4d, 0x65, 0x74, 0x61, 0x52, 0x04,
	0x6d, 0x65, 0x74, 0x61, 0x22, 0xcc, 0x01, 0x0a, 0x10, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x54,
	0x61, 0x72, 0x69, 0x66, 0x66, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x69, 0x6e,
	0x75, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x01, 0x52, 0x06, 0x6d, 0x69, 0x6e, 0x75, 0x74,
	0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x64, 0x69, 0x64, 0x5f, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x01, 0x52, 0x09, 0x64, 0x69, 0x64, 0x4d, 0x69, 0x6e, 0x75, 0x74, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x73, 0x73, 0x69,
	0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0a, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x73,
	0x73, 0x69, 0x6f, 0x6e, 0x12, 0x2d, 0x0a, 0x12, 0x6f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65,
	0x5f, 0x63, 0x6f, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x11, 0x6f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x43, 0x6f, 0x6d, 0x69, 0x73, 0x73,
	0x69, 0x6f, 0x6e, 0x22, 0x73, 0x0a, 0x0b, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x54, 0x61, 0x72, 0x69,
	0x66, 0x66, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x69, 0x64, 0x12, 0x18,
	0x0a, 0x07, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x49, 0x64, 0x12, 0x2e, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x75, 0x6c, 0x65, 0x4d, 0x65,
	0x74, 0x61, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x32, 0x9f, 0x07, 0x0a, 0x06, 0x54, 0x61, 0x72,
	0x69, 0x66, 0x66, 0x12, 0x49, 0x0a, 0x07, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x12, 0x17,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41,
	0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x30, 0x01, 0x12, 0x47,
	0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54,
	0x61, 0x72, 0x69, 0x66, 0x66, 0x30, 0x01, 0x12, 0x4f, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12, 0x23,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72,
	0x69, 0x66, 0x66, 0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x12, 0x52, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41,
	0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x12, 0x52, 0x0a, 0x06,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x1a, 0x23, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66,
	0x12, 0x56, 0x0a, 0x0c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x54, 0x61,
	0x72, 0x69, 0x66, 0x66, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x50, 0x72, 0x65, 0x66,
	0x69, 0x78, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x12, 0x56, 0x0a, 0x0c, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x1a, 0x22, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64,
	0x6d, 0x69, 0x6e, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66,
	0x12, 0x57, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x23,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72,
	0x69, 0x66, 0x66, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69,
	0x78, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x30, 0x01, 0x12, 0x55, 0x0a, 0x09, 0x4c, 0x69, 0x73,
	0x74, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x1a, 0x21, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x2e, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x30, 0x01,
	0x12, 0x53, 0x0a, 0x0b, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x12,
	0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x54, 0x61, 0x72, 0x69,
	0x66, 0x66, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x54,
	0x61, 0x72, 0x69, 0x66, 0x66, 0x12, 0x53, 0x0a, 0x0b, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4c,
	0x69, 0x6d, 0x69, 0x74, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4c, 0x69, 0x6d, 0x69,
	0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4c,
	0x69, 0x6d, 0x69, 0x74, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x42, 0x6e, 0x0a, 0x14, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x42, 0x0a, 0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00,
	0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74,
	0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f,
	0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x0a,
	0x54, 0x61, 0x72, 0x69, 0x66, 0x66, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_admin_tariff_proto_rawDescOnce sync.Once
	file_admin_tariff_proto_rawDescData = file_admin_tariff_proto_rawDesc
)

func file_admin_tariff_proto_rawDescGZIP() []byte {
	file_admin_tariff_proto_rawDescOnce.Do(func() {
		file_admin_tariff_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_tariff_proto_rawDescData)
	})
	return file_admin_tariff_proto_rawDescData
}

var file_admin_tariff_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_admin_tariff_proto_goTypes = []interface{}{
	(*AccountTariff)(nil),      // 0: com.freeje.api.admin.AccountTariff
	(*AccountTariffMeta)(nil),  // 1: com.freeje.api.admin.AccountTariffMeta
	(*PrefixTariff)(nil),       // 2: com.freeje.api.admin.PrefixTariff
	(*PrefixTariffMeta)(nil),   // 3: com.freeje.api.admin.PrefixTariffMeta
	(*LimitTariff)(nil),        // 4: com.freeje.api.admin.LimitTariff
	(*api.MetricRuleMeta)(nil), // 5: com.freeje.MetricRuleMeta
	(*api.RequestMode)(nil),    // 6: com.freeje.RequestMode
	(*api.SearchFilter)(nil),   // 7: com.freeje.SearchFilter
}
var file_admin_tariff_proto_depIdxs = []int32{
	1,  // 0: com.freeje.api.admin.AccountTariff.meta:type_name -> com.freeje.api.admin.AccountTariffMeta
	3,  // 1: com.freeje.api.admin.PrefixTariff.meta:type_name -> com.freeje.api.admin.PrefixTariffMeta
	5,  // 2: com.freeje.api.admin.LimitTariff.meta:type_name -> com.freeje.MetricRuleMeta
	6,  // 3: com.freeje.api.admin.Tariff.Monitor:input_type -> com.freeje.RequestMode
	7,  // 4: com.freeje.api.admin.Tariff.List:input_type -> com.freeje.SearchFilter
	0,  // 5: com.freeje.api.admin.Tariff.Get:input_type -> com.freeje.api.admin.AccountTariff
	0,  // 6: com.freeje.api.admin.Tariff.Update:input_type -> com.freeje.api.admin.AccountTariff
	0,  // 7: com.freeje.api.admin.Tariff.Delete:input_type -> com.freeje.api.admin.AccountTariff
	2,  // 8: com.freeje.api.admin.Tariff.UpdatePrefix:input_type -> com.freeje.api.admin.PrefixTariff
	2,  // 9: com.freeje.api.admin.Tariff.DeletePrefix:input_type -> com.freeje.api.admin.PrefixTariff
	0,  // 10: com.freeje.api.admin.Tariff.ListPrefix:input_type -> com.freeje.api.admin.AccountTariff
	0,  // 11: com.freeje.api.admin.Tariff.ListLimit:input_type -> com.freeje.api.admin.AccountTariff
	4,  // 12: com.freeje.api.admin.Tariff.UpdateLimit:input_type -> com.freeje.api.admin.LimitTariff
	4,  // 13: com.freeje.api.admin.Tariff.DeleteLimit:input_type -> com.freeje.api.admin.LimitTariff
	0,  // 14: com.freeje.api.admin.Tariff.Monitor:output_type -> com.freeje.api.admin.AccountTariff
	0,  // 15: com.freeje.api.admin.Tariff.List:output_type -> com.freeje.api.admin.AccountTariff
	0,  // 16: com.freeje.api.admin.Tariff.Get:output_type -> com.freeje.api.admin.AccountTariff
	0,  // 17: com.freeje.api.admin.Tariff.Update:output_type -> com.freeje.api.admin.AccountTariff
	0,  // 18: com.freeje.api.admin.Tariff.Delete:output_type -> com.freeje.api.admin.AccountTariff
	2,  // 19: com.freeje.api.admin.Tariff.UpdatePrefix:output_type -> com.freeje.api.admin.PrefixTariff
	2,  // 20: com.freeje.api.admin.Tariff.DeletePrefix:output_type -> com.freeje.api.admin.PrefixTariff
	2,  // 21: com.freeje.api.admin.Tariff.ListPrefix:output_type -> com.freeje.api.admin.PrefixTariff
	4,  // 22: com.freeje.api.admin.Tariff.ListLimit:output_type -> com.freeje.api.admin.LimitTariff
	4,  // 23: com.freeje.api.admin.Tariff.UpdateLimit:output_type -> com.freeje.api.admin.LimitTariff
	4,  // 24: com.freeje.api.admin.Tariff.DeleteLimit:output_type -> com.freeje.api.admin.LimitTariff
	14, // [14:25] is the sub-list for method output_type
	3,  // [3:14] is the sub-list for method input_type
	3,  // [3:3] is the sub-list for extension type_name
	3,  // [3:3] is the sub-list for extension extendee
	0,  // [0:3] is the sub-list for field type_name
}

func init() { file_admin_tariff_proto_init() }
func file_admin_tariff_proto_init() {
	if File_admin_tariff_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_tariff_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccountTariff); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_tariff_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccountTariffMeta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_tariff_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixTariff); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_tariff_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrefixTariffMeta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_tariff_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LimitTariff); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_tariff_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_tariff_proto_goTypes,
		DependencyIndexes: file_admin_tariff_proto_depIdxs,
		MessageInfos:      file_admin_tariff_proto_msgTypes,
	}.Build()
	File_admin_tariff_proto = out.File
	file_admin_tariff_proto_rawDesc = nil
	file_admin_tariff_proto_goTypes = nil
	file_admin_tariff_proto_depIdxs = nil
}
